# Spense Partner APIs

 

Version: v1

## Servers

Production API
```
https://api.spensepay.com/partner
```

## Security

### HTTPBasic

Type: http
Scheme: basic

### OAuth2ClientCredentials

Type: oauth2
Token URL: /partner/auth/token
Scopes:

## Download OpenAPI description

 - [Spense Partner APIs](https://developer.spensepay.com/_bundle/apis/partner.yaml)

## Authentication

 - [POST /auth/token](https://developer.spensepay.com/apis/partner/authentication/login.md)
 - [GET /auth/ping](https://developer.spensepay.com/apis/partner/authentication/ping.md)
 - [GET /auth/organizations](https://developer.spensepay.com/apis/partner/authentication/get_organizations.md): Get the list of organizations the user has access to.
## Settlements

 - [GET /settlements/generate_csv](https://developer.spensepay.com/apis/partner/settlements/generate_csv.md): Generate a CSV file for the given date range and format. Remember: use the header `X-Organization-Id` with the organization ID if you are using a partner token which has access to multiple organizatio
## Payment Methods

 - [GET /payment-methods](https://developer.spensepay.com/apis/partner/payment-methods/get_payment_methods.md): Get a list of available payment methods, which can be used to specify which payment method to use when creating a payment. The list of payment methods may change over time, so it is recommended to fet
 - [POST /payment-methods/resend](https://developer.spensepay.com/apis/partner/payment-methods/resend_to_payment_method.md): Attempt to re-send the payment method for a payment.This will not create a new payment, but re-send the payment to the specified payment method. This can be used many times and have different behaviou
## Payments

 - [POST /payments/{payment_id}/receipts/terminal/print](https://developer.spensepay.com/apis/partner/payments/print_receipt.md)
 - [POST /payments/{payment_id}/manual-paid](https://developer.spensepay.com/apis/partner/payments/mark_payment_as_paid.md): Mark a payment as PAID manually, for example when receiving a bank transfer or cash payment. The payment must not already be in a final status.
## Webhooks

